Record Tags
List Record Tags
List all tags applied to a specific Record.
GET
/
records
/
{recordId}
/
tags
JavaScript
import Scorecard from 'scorecard-ai';
const client = new Scorecard({
apiKey: process.env['SCORECARD_API_KEY'], // This is the default and can be omitted
});
const tags = await client.records.tags.list('777');
console.log(tags.data);import os
from scorecard_ai import Scorecard
client = Scorecard(
api_key=os.environ.get("SCORECARD_API_KEY"), # This is the default and can be omitted
)
tags = client.records.tags.list(
"777",
)
print(tags.data)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api2.scorecard.io/api/v2/records/{recordId}/tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl https://api2.scorecard.io/api/v2/records/$RECORD_ID/tags \
-H "Authorization: Bearer $SCORECARD_API_KEY"{
"data": [
{
"id": "1",
"recordId": "777",
"text": "urgent",
"source": "user",
"userId": "user_abc123",
"createdAt": "2026-03-01T12:00:00.000Z"
},
{
"id": "2",
"recordId": "777",
"text": "env:prod",
"source": "otel",
"userId": null,
"createdAt": "2026-03-01T12:00:00.000Z"
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing authentication token",
"details": {}
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred while processing your request.",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the Record to list tags for.
Example:
"777"
Response
Successfully retrieved the Record's tags.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Scorecard from 'scorecard-ai';
const client = new Scorecard({
apiKey: process.env['SCORECARD_API_KEY'], // This is the default and can be omitted
});
const tags = await client.records.tags.list('777');
console.log(tags.data);import os
from scorecard_ai import Scorecard
client = Scorecard(
api_key=os.environ.get("SCORECARD_API_KEY"), # This is the default and can be omitted
)
tags = client.records.tags.list(
"777",
)
print(tags.data)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api2.scorecard.io/api/v2/records/{recordId}/tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl https://api2.scorecard.io/api/v2/records/$RECORD_ID/tags \
-H "Authorization: Bearer $SCORECARD_API_KEY"{
"data": [
{
"id": "1",
"recordId": "777",
"text": "urgent",
"source": "user",
"userId": "user_abc123",
"createdAt": "2026-03-01T12:00:00.000Z"
},
{
"id": "2",
"recordId": "777",
"text": "env:prod",
"source": "otel",
"userId": null,
"createdAt": "2026-03-01T12:00:00.000Z"
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing authentication token",
"details": {}
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred while processing your request.",
"details": {}
}